Bug 189801 - CVE-2006-1526 X.Org buffer overflow
Summary: CVE-2006-1526 X.Org buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
high
medium
Target Milestone: ---
: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20060423,pu...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-24 19:35 UTC by Josh Bressers
Modified: 2015-09-28 14:24 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0451
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 11:42:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0451 normal SHIPPED_LIVE Important: xorg-x11 security update 2006-05-04 04:00:00 UTC

Description Josh Bressers 2006-04-24 19:35:29 UTC
X.Org buffer overflow

Bart Massey, a X.Org user reported that "When running rendertest from
XCB xcb/xcb-demo, the Xorg X server crashes partway through.  100%
reproducible on a wide variety of graphics architectures".

The upstream bug for this issue can be found here:
https://bugs.freedesktop.org/show_bug.cgi?id=6642

The problem, analyzed by Eric Anholt is a typo in render/mitri.c,
which was incorrectly calculating the size of a buffer.

Comment 3 Mark J. Cox 2006-05-02 14:44:29 UTC
now public, removing embargo
http://lists.freedesktop.org/archives/xorg/2006-May/015136.html

Comment 6 Red Hat Bugzilla 2006-05-04 11:42:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0451.html



Note You need to log in before you can comment on or make changes to this bug.